# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/params/param/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/params/param/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Params\\Param\\": "packages/params/param/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Params\Param\Providers\ParamServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Param'  => Params\Param\Facades\Param::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Params\\ParamTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Params\Param\Providers\ParamServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Params\Param\Providers\ParamServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Params\Param\Providers\ParamServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/param/{modulename}

**User**

    http://path-to-route-folder/user/param/{modulename}

**Public**

    http://path-to-route-folder/params


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/param/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/param/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/param/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/param/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/param/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/param/{modulename}/{slug}
    METHOD: GET