Lavalite package that provides param management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `params/param`.

    "params/param": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Params\Param\Providers\ParamServiceProvider::class,

And also add it to alias

    'Param'  => Params\Param\Facades\Param::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Params\\ParamTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Params\Param\Providers\ParamServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Params\Param\Providers\ParamServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Params\Param\Providers\ParamServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/param/{modulename}

**User**

    http://path-to-route-folder/user/param/{modulename}

**Public**

    http://path-to-route-folder/params


### API endpoints

**List**

    http://path-to-route-folder/api/user/param/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/param/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/param/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/param/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/param/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/param/{modulename}/{slug}
    METHOD: GET